local addonInfo, privateVars = ...

if EnKai.tools.lang.getLanguage() ~= "German" then
	
	privateVars.langTexts = {
	
		txtVersion			= 'Version %s',
		close           = "close",
	
		tabHeaderPlugins	= 'Plugins',
		tabHeaderSettings	= 'Settings',
		alignRadio        = 'Aligment',
    left              = 'left',
    right             = 'right',
    center            = 'centered',
    textureSelect     = 'Background',
    none              = 'None',
		labelPlugins        = "List of plugins",
		labelPanelSettings	= 'Basic settings',
		showPanelRadio		= 'Show panel',
		posPanelRadio		= 'Position',
		top					= 'Top',
		bottom				= 'Bottom',
		always				= 'Always',
		autohide			= 'Autohide',
		autoHideTimerSlider	= 'Hide after %d seconds',
		panelColor			= 'Panel color',
		panelAlphaSlider	= 'Visability %d%%',
				
		labelPluginsSettings= 'Plugin settings',
		lockedCheckbox		= 'Plugins locked',
		showThumbCheckbox	= 'Show icon',
		spacingSlider		= 'Spacing %d pixels',
		fontSizeSlider		= 'title size %d pixels',
		fontColor			= 'title color',
		menuSizeSlider  = 'menu size %d pixels',
		
		colorSelection		= {{label = "Black", value = 'black' }, {label = "White", value = 'white'}, { label = "Red", value = 'red'}, { label = "Yellow", value = 'yellow'}, { label = "Blue", value = 'blue'}},
		
		plugins = {
			bags		= '%d free bags',
			experience	= 'Exp: %d / %d',
			experienceR	= 'Exp: %d (%d) / %d',
			attunement = '%d',
      attunementR  = '%d (%d)',
      attunementPt = '%d / %d pts',
      attunementPtR  = '%d (%d) / %d pts',      
			platinium	= 'Platinium: %dP, %dG, %dS',
			coords		= 'Coords: %d / %d',
			locunknown	= 'Location',
			shard       = "%s",
			cpu         = "%.2f%%",
			fps         = "FPS: %d",
			social      = "Friends: %d - Guild: %d",
			level       = "Level: %d"
		}
				
	}
	
end