local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.clock ()

	local plugin = nkPanel.api.plugin('default: clock plugin')
	
	local oSetVisible = plugin.SetVisible
	
	function plugin:SetVisible(flag)
	
		oSetVisible(self, flag)
	
		if flag == true then
			plugin:SetUpdate(function (parent)
				local temp = os.date("*t", Inspect.Time.Server())
				parent:SetTitle(string.format("%02d:%02d:%02d", temp.hour, temp.min, temp.sec))
			end)
		else
			plugin:SetUpdate(nil)
		end
	
	end
	
	return plugin

end