local addonInfo, privateVars = ...

if ( EnKai.tools.lang.getLanguage()  == "German") then
	
	privateVars.langTexts = {

		txtVersion			= 'Version %s',
		close           = "Schliessen",
		
		tabHeaderPlugins	= 'Plugins',	
		tabHeaderSettings	= 'Einstellungen',
		alignRadio        = 'Ausrichtung',
		left              = 'Links',
		right             = 'Rechts',
		center            = 'Zentriert',
		textureSelect     = 'Hintergrund',
		none              = 'Keiner',
		labelPlugins        = "Pluginliste",
		labelPanelSettings	= 'Generelle Einstellungen',
		showPanelRadio		= 'Panel anzeigen',
		posPanelRadio		= 'Position',
		top					= 'Oben',
		bottom				= 'Unten',
		always				= 'Immer',
		autohide			= 'Automatisch verstecken',
		autoHideTimerSlider	= 'Verstecken nach %d Sekunden',
		panelColor			= 'Farbe des Panels',
		panelAlphaSlider	= 'Sichtbarkeit %d%%',
				
		labelPluginsSettings= 'Plugin Einstellungen',
		lockedCheckbox		= 'Plugins gesperrt',
		spacingSlider		= 'Abstand %d Pixel',
		showThumbCheckbox	= 'Icon anzeigen',
		fontSizeSlider		= 'Grösse der Titel %d Pixel',
		fontColor			= 'Farbe der Titel',
		menuSizeSlider  = 'Grösse der Menus %d Pixel',
		
		colorSelection		= {{label = "Schwarz", value = 'black' }, {label = "Weiss", value = 'white'}, { label = "Rot", value = 'red'}, { label = "Gelb", value = 'yellow'}, { label = "Blau", value = 'blue'}},
						
		plugins = {
			bags		= '%d Freie Taschen',
			experience	= 'Exp: %d / %d',
			experienceR	= 'Exp: %d (%d) / %d',
			attunement = '%d',
      attunementR  = '%d (%d)',
      attunementPt = '%d / %d pts',
      attunementPtR  = '%d (%d) / %d pts',      
			platinium	= 'Platin: %dP, %dG, %dS',
			coords		= 'Koord: %d / %d',
			locunknown	= 'Lokation',
			shard       = "%s",
			cpu         = "%.2f%%",
			fps         = "FPS: %d",
			social      = "Freunde: %d - Gilde: %d",
			level       = "Level: %d"
		}
		
	}
	
end