local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.reloadui ()

	local plugin = nkPanel.api.plugin('default: reloadui plugin', false, true)
	plugin:SetSecureMode('restricted')
	
	local name = plugin:GetName()
	
	local customTitle = UI.CreateFrame('Frame', name .. '.title', plugin)
  customTitle:SetSecureMode('restricted')
  customTitle:SetWidth(24)
  customTitle:SetHeight(plugin:GetHeight())
  customTitle:SetMouseMasking('limited')
  
  local button = EnKai.uiCreateFrame ('nkTexture', name .. ".button", customTitle)
  button:SetWidth(16)
  button:SetHeight(16)
  button:SetPoint("CENTERLEFT", customTitle, "CENTERLEFT")
  button:SetSecureMode('restricted')
  button:SetTexture("nkPanel", "gfx/reloadIcon.png")
  
  button:EventMacroSet(Event.UI.Input.Mouse.Left.Click, "reloadui")
  
  plugin:SetCustomTitle(customTitle)
		
	return plugin

end